Index: /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1211)
+++ /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1212)
@@ -1647,5 +1647,5 @@
   ("AltOutputLayerFlag",               m_altOutputLayerFlag,                      false, "Specifies the value of alt_output_layer_flag in VPS extension")
   ("CrossLayerBLAFlag",                m_crossLayerBLAFlag,                       false, "Specifies the value of cross_layer_bla_flag in VPS")
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   ("CGS",     m_nCGSFlag , 0, "whether CGS is enabled")
   ("CGSMaxOctantDepth", m_nCGSMaxOctantDepth , 1, "max octant depth")
@@ -4203,5 +4203,5 @@
   }
 #endif 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   xConfirmPara( m_nCGSFlag < 0 || m_nCGSFlag > 1 , "0<=CGS<=1" );
 #endif
@@ -4508,5 +4508,5 @@
   printf("RecalQP:%d", m_recalculateQPAccordingToLambda ? 1 : 0 );
 #endif
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   printf("CGS: %d CGSMaxOctantDepth: %d CGSMaxYPartNumLog2: %d CGSLUTBit:%d " , m_nCGSFlag , m_nCGSMaxOctantDepth , m_nCGSMaxYPartNumLog2 , m_nCGSLUTBit );
 #endif
Index: /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.h	(revision 1211)
+++ /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.h	(revision 1212)
@@ -506,5 +506,5 @@
   Bool      m_crossLayerBLAFlag;
   Bool      m_useInterLayerWeightedPred;
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   Int       m_nCGSFlag;
   Int       m_nCGSMaxOctantDepth;
Index: /branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- /branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1211)
+++ /branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1212)
@@ -756,5 +756,5 @@
     m_acTEncTop[layer].setAltOuputLayerFlag                      ( m_altOutputLayerFlag );
     m_acTEncTop[layer].setCrossLayerBLAFlag                      ( m_crossLayerBLAFlag );
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
     m_acTEncTop[layer].setCGSFlag                                ( layer == 0 ? 0 : m_nCGSFlag );
     m_acTEncTop[layer].setCGSMaxOctantDepth                      ( m_nCGSMaxOctantDepth );
Index: /branches/SHM-dev/source/Lib/TLibCommon/TCom3DAsymLUT.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TCom3DAsymLUT.cpp	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TCom3DAsymLUT.cpp	(revision 1212)
@@ -9,5 +9,5 @@
 #include "TComPicYuv.h"
 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
 
 const Int TCom3DAsymLUT::m_nVertexIdxOffset[4][3] = { { 0 , 0 , 0 } , { 0 , 1 , 0 } , { 0 , 1 , 1 } , { 1 , 1 , 1 } };
Index: /branches/SHM-dev/source/Lib/TLibCommon/TCom3DAsymLUT.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TCom3DAsymLUT.h	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TCom3DAsymLUT.h	(revision 1212)
@@ -9,5 +9,5 @@
 #endif
 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
 
 typedef struct _SYUVP
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComPic.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComPic.h	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComPic.h	(revision 1212)
@@ -95,5 +95,5 @@
   Bool                  m_equalPictureSizeAndOffsetFlag[MAX_LAYERS]; 
 #endif
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   Int                   m_nFrameBit;
 #endif
@@ -214,5 +214,5 @@
   Bool          checkSameRefInfo();
   Void          copyUpsampledPictureYuv(TComPicYuv*   pcPicYuvIn, TComPicYuv*   pcPicYuvOut); 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   Void          setFrameBit( Int n )  { m_nFrameBit = n;    }
   Int           getFrameBit()         { return m_nFrameBit; }
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1212)
@@ -512,5 +512,5 @@
         // Allow maximum of one motion resampling process for direct reference layers, and use motion inter-layer prediction from the same layer as texture inter-layer prediction
         if( !( g_posScalingFactor[refLayerIdc][0] == 65536 && g_posScalingFactor[refLayerIdc][1] == 65536 ) || !scalingOffset || !sameBitDepths 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
           || getPPS()->getCGSFlag()
 #endif
@@ -2305,5 +2305,5 @@
 , m_pocResetInfoPresentFlag   (false)
 , m_numRefLayerLocationOffsets  ( 0 )
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
 , m_nCGSFlag(0)
 , m_nCGSOutputBitDepthY(0)
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1212)
@@ -1669,5 +1669,5 @@
   Int      m_phaseVerChroma[MAX_LAYERS];
   Bool     m_resamplePhaseSetPresentFlag[MAX_LAYERS];
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   Int      m_nCGSFlag;
   Int      m_nCGSOutputBitDepthY; // not for syntax
@@ -1842,5 +1842,5 @@
   Bool hasZeroResamplingPhase(Int refLayerId);
   Void getResamplingPhase(Int refLayerId, Bool& phaseSetPresentFlag, Int& phaseHorLuma, Int& phaseVerLuma, Int& phaseHorChroma, Int& phaseVerChroma);
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   Int     getCGSFlag()                { return m_nCGSFlag;  }
   Void    setCGSFlag(Int n)           { m_nCGSFlag = n;     }
@@ -2008,5 +2008,5 @@
   Int         m_pocValueBeforeReset;
   Int         m_picOrderCntLsb;
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   Int        m_nCGSOverWritePPS;  // for optimization, not output to bitstream
 #endif
@@ -2129,5 +2129,5 @@
 
   Void      setRefPicList       ( TComList<TComPic*>& rcListPic, Bool checkNumPocTotalCurr = false, TComPic** ilpPic = NULL );
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   Int       getCGSOverWritePPS()              { return m_nCGSOverWritePPS;    }
   Void      setCGSOverWritePPS(Int n)         { m_nCGSOverWritePPS = n;       }
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComUpsampleFilter.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComUpsampleFilter.cpp	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComUpsampleFilter.cpp	(revision 1212)
@@ -117,5 +117,5 @@
     Int shift = g_bitDepthLayer[CHANNEL_TYPE_LUMA][currLayerId] - g_bitDepthLayer[CHANNEL_TYPE_LUMA][refLayerId];
 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
     if( currSlice->getPPS()->getCGSFlag() )
     {
@@ -153,5 +153,5 @@
     shift = g_bitDepthLayer[CHANNEL_TYPE_CHROMA][currLayerId] - g_bitDepthLayer[CHANNEL_TYPE_CHROMA][refLayerId];
 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
     if( currSlice->getPPS()->getCGSFlag() )
     {
@@ -221,5 +221,5 @@
     Int shift1 = g_bitDepthLayer[CHANNEL_TYPE_LUMA][refLayerId] - 8;
 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
     if( currSlice->getPPS()->getCGSFlag() )
     {
@@ -323,5 +323,5 @@
     shift1 = g_bitDepthLayer[CHANNEL_TYPE_CHROMA][refLayerId] - 8;
 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
     if( currSlice->getPPS()->getCGSFlag() )
     {
Index: /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1212)
@@ -55,6 +55,6 @@
 #define O0164_MULTI_LAYER_HRD            1      ///< JCTVC-O0164: Multi-layer HRD operation
 
-#define Q0048_CGS_3D_ASYMLUT             1      ///< JCTVC-Q0048: Colour gamut scalability with look-up table
-#if Q0048_CGS_3D_ASYMLUT
+#define CGS_3D_ASYMLUT                   1      ///< Colour gamut scalability with look-up table
+#if CGS_3D_ASYMLUT
 #define CGS_GCC_NO_VECTORIZATION         1
 #define R0150_CGS_SIGNAL_CONSTRAINTS     1      ///< JCTVC-R0150: CGS signaling improvement and constraints
@@ -72,4 +72,5 @@
 #define SVC_POC                          1      ///< POC signalling and reset
 #define UNAVAILABLE_PIC_BUGFIX           1
+
 
 #define REF_IDX_MFM                      1      ///< JCTVC-L0336: motion vector mapping of inter-layer reference picture
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1212)
@@ -43,5 +43,5 @@
 #include "TLibCommon/TComCodingStatistics.h"
 #endif
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
 #include "../TLibCommon/TCom3DAsymLUT.h"
 #endif
@@ -182,5 +182,5 @@
 }
 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
 Void TDecCavlc::parsePPS(TComPPS* pcPPS, TCom3DAsymLUT * pc3DAsymLUT, Int nLayerID)
 #else
@@ -442,5 +442,5 @@
               }
             }
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
             READ_FLAG( uiCode , "colour_mapping_enabled_flag" ); 
             pcPPS->setCGSFlag( uiCode );
@@ -3503,5 +3503,5 @@
 }
 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
 Void TDecCavlc::xParse3DAsymLUT( TCom3DAsymLUT * pc3DAsymLUT )
 {
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 1212)
@@ -46,5 +46,5 @@
 #include "SyntaxElementParser.h"
 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
 class TCom3DAsymLUT;
 #endif
@@ -138,5 +138,5 @@
   Void  parseVpsVuiBspHrdParams( TComVPS *vps );
   Void  parseSPSExtension    ( TComSPS* pcSPS );
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   Void  parsePPS            ( TComPPS* pcPPS, TCom3DAsymLUT * pc3DAsymLUT , Int nLayerID );
 #else
@@ -145,5 +145,5 @@
 
 protected:
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   Void xParse3DAsymLUT( TCom3DAsymLUT * pc3DAsymLUT );
   Void xParse3DAsymLUTOctant( TCom3DAsymLUT * pc3DAsymLUT , Int nDepth , Int yIdx , Int uIdx , Int vIdx , Int nLength );
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecEntropy.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecEntropy.h	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecEntropy.h	(revision 1212)
@@ -50,5 +50,5 @@
 class TDecCavlc;
 class ParameterSetManagerDecoder;
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
 class TCom3DAsymLUT;
 #endif
@@ -71,5 +71,5 @@
   virtual Void  parseVPS                  ( TComVPS* pcVPS )     = 0;
   virtual Void  parseSPS                  ( TComSPS* pcSPS )     = 0;
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   virtual Void  parsePPS                  ( TComPPS* pcPPS, TCom3DAsymLUT * pc3DAsymLUT , Int nLayerID )     = 0;
 #else
@@ -145,5 +145,5 @@
   Void    decodeSPS                   ( TComSPS* pcSPS ) { m_pcEntropyDecoderIf->parseSPS(pcSPS); }
 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   Void    decodePPS                   ( TComPPS* pcPPS, TCom3DAsymLUT * pc3DAsymLUT, Int nLayerID )    { m_pcEntropyDecoderIf->parsePPS(pcPPS, pc3DAsymLUT , nLayerID );                     }
 #else
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecSbac.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecSbac.h	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecSbac.h	(revision 1212)
@@ -80,5 +80,5 @@
   Void  parseSPS                  ( TComSPS* /*pcSPS*/ ) {}
   Void  parsePPS                  ( TComPPS* /*pcPPS*/ 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
     , TCom3DAsymLUT * /*pc3DAsymLUT*/ , Int /*nLayerID*/
 #endif
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1212)
@@ -111,5 +111,5 @@
   m_lastPocPeriodId = -1;
   m_prevPicOrderCnt = 0;
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   m_pColorMappedPic = NULL;
 #endif
@@ -133,5 +133,5 @@
   }
 #endif
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   if(m_pColorMappedPic)
   {
@@ -1634,5 +1634,5 @@
         g_posScalingFactor[refLayerIdc][1] = ((heightBL << 16) + (heightEL >> 1)) / heightEL;
 
-#if Q0048_CGS_3D_ASYMLUT 
+#if CGS_3D_ASYMLUT 
         TComPicYuv* pBaseColRec = pcSlice->getBaseColPic(refLayerIdc)->getPicYuvRec();
         if( pcSlice->getPPS()->getCGSFlag() 
@@ -1863,5 +1863,5 @@
 }
 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
 Void TDecTop::xDecodePPS( TCom3DAsymLUT * pc3DAsymLUT )
 #else
@@ -1874,5 +1874,5 @@
   pps->setLayerId( m_layerId );
 #endif
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   m_cEntropyDecoder.decodePPS( pps, pc3DAsymLUT, m_layerId );
 #else
@@ -1996,5 +1996,5 @@
     case NAL_UNIT_PPS:
       xDecodePPS(
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
         &m_c3DAsymLUTPPS
 #endif
@@ -2428,5 +2428,5 @@
 }
 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
 Void TDecTop::initAsymLut(TComSlice *pcSlice)
 {
@@ -2601,5 +2601,5 @@
 
     if( !pic->equalPictureSizeAndOffsetFlag(i) || !sameBitDepths 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
       || slice->getPPS()->getCGSFlag() > 0
 #endif
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.h	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.h	(revision 1212)
@@ -45,5 +45,5 @@
 #include "TLibCommon/TComTrQuant.h"
 #include "TLibCommon/SEI.h"
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
 #include "TLibCommon/TCom3DAsymLUT.h"
 #endif
@@ -82,5 +82,5 @@
   // functional classes
   TComPrediction          m_cPrediction;
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   TCom3DAsymLUT           m_c3DAsymLUTPPS;
   TComPicYuv*             m_pColorMappedPic;
@@ -275,5 +275,5 @@
   Void      xDecodeVPS();
   Void      xDecodeSPS();
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   Void      xDecodePPS( TCom3DAsymLUT * pc3DAsymLUT );
 #else
@@ -291,5 +291,5 @@
   Void setFirstPicInLayerDecodedFlag(Bool x) { m_firstPicInLayerDecodedFlag = x;   }
 #endif
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   Void initAsymLut(TComSlice *pcSlice);
 #endif
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEnc3DAsymLUT.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEnc3DAsymLUT.cpp	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEnc3DAsymLUT.cpp	(revision 1212)
@@ -7,6 +7,5 @@
 #include "TEnc3DAsymLUT.h"
 
-#if Q0048_CGS_3D_ASYMLUT
-
+#if CGS_3D_ASYMLUT
 TEnc3DAsymLUT::TEnc3DAsymLUT()
 {
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEnc3DAsymLUT.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEnc3DAsymLUT.h	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEnc3DAsymLUT.h	(revision 1212)
@@ -15,5 +15,5 @@
 #endif
 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
 
 typedef struct _ColorInfo
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1212)
@@ -154,5 +154,5 @@
 
 Void TEncCavlc::codePPS( TComPPS* pcPPS 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   , TEnc3DAsymLUT * pc3DAsymLUT
 #endif
@@ -253,5 +253,5 @@
 #if SVC_EXTENSION
   pps_extension_flags[PPS_EXT__MLAYER] = pcPPS->getExtensionFlag() ? 1 : 0;
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   UInt bits = 0;
 #endif
@@ -347,5 +347,5 @@
               }
             }
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
             bits = getNumberOfWrittenBits();
             WRITE_FLAG( pcPPS->getCGSFlag() , "colour_mapping_enabled_flag" );
@@ -2467,5 +2467,5 @@
 }
 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
 Void TEncCavlc::xCode3DAsymLUT( TCom3DAsymLUT * pc3DAsymLUT )
 {
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.h	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.h	(revision 1212)
@@ -48,5 +48,5 @@
 #include "TEncEntropy.h"
 #include "SyntaxElementWriter.h"
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
 #include "../TLibCommon/TCom3DAsymLUT.h"
 #include "TEnc3DAsymLUT.h"
@@ -57,5 +57,5 @@
 
 class TEncTop;
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
 class TCom3DAsymLUT;
 #endif
@@ -91,5 +91,5 @@
   Void  codeSPS                 ( TComSPS* pcSPS );
   Void  codePPS                 ( TComPPS* pcPPS 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
     , TEnc3DAsymLUT * pc3DAsymLUT
 #endif
@@ -163,5 +163,5 @@
 #endif
   Void  codeVpsVuiBspHrdParams  (TComVPS * const);
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
 #if R0179_ENC_OPT_3DLUT_SIZE
 public:
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncCfg.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncCfg.h	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncCfg.h	(revision 1212)
@@ -404,5 +404,5 @@
   UInt      m_ilcIdc[1024];
 #endif
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   Int       m_nCGSFlag;
   Int       m_nCGSMaxOctantDepth;
@@ -1141,5 +1141,5 @@
   Bool                                getOverlaySEIPersistenceFlag()                                           { return m_overlayInfoPersistenceFlag; } 
 #endif
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   Void      setCGSFlag(Int n)             { m_nCGSFlag = n;    }
   Int       getCGSFlag()                  { return m_nCGSFlag; }
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncEntropy.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 1212)
@@ -78,5 +78,5 @@
 }
 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
 Void TEncEntropy::encodePPS( TComPPS* pcPPS, TEnc3DAsymLUT * pc3DAsymLUT  )
 {
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncEntropy.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncEntropy.h	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncEntropy.h	(revision 1212)
@@ -51,5 +51,5 @@
 class TEncCavlc;
 class SEI;
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
 class TEnc3DAsymLUT;
 #endif
@@ -73,5 +73,5 @@
   virtual Void  codeSPS                 ( TComSPS* pcSPS )                                      = 0;
   virtual Void  codePPS                 ( TComPPS* pcPPS 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
     , TEnc3DAsymLUT * pc3DAsymLUT
 #endif
@@ -153,5 +153,5 @@
   Void encodeSPS               ( TComSPS* pcSPS );
   Void encodePPS               ( TComPPS* pcPPS 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
     , TEnc3DAsymLUT * pc3DAsymLUT
 #endif
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1212)
@@ -113,5 +113,5 @@
   m_associatedIrapPocBeforeReset = 0;
   m_pcPredSearch        = NULL;
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   m_temp = NULL;
   m_pColorMappedPic = NULL;
@@ -136,5 +136,5 @@
 TEncGOP::~TEncGOP()
 {
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   if(m_pColorMappedPic)
   {
@@ -193,5 +193,5 @@
   m_ppcTEncTop           = pcTEncTop->getLayerEnc();
   m_pcPredSearch         = pcTEncTop->getPredSearch();                       ///< encoder search class
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   if( pcTEncTop->getLayerId() )
   {
@@ -1394,5 +1394,5 @@
         g_posScalingFactor[refLayerIdc][1] = ((heightBL << 16) + (heightEL >> 1)) / heightEL;
 
-#if Q0048_CGS_3D_ASYMLUT 
+#if CGS_3D_ASYMLUT 
         TComPicYuv* pBaseColRec = pcSlice->getBaseColPic(refLayerIdc)->getPicYuvRec();
         if( pcSlice->getPPS()->getCGSFlag() )
@@ -1435,5 +1435,5 @@
         else
         {
-#if Q0048_CGS_3D_ASYMLUT 
+#if CGS_3D_ASYMLUT 
           pcPic->setFullPelBaseRec( refLayerIdc, pBaseColRec );
 #else
@@ -2283,5 +2283,5 @@
       assert( pcSlice->getPPS()->getLayerId() == 0 || pcSlice->getPPS()->getLayerId() == m_layerId || m_pcEncTop->getVPS()->getRecursiveRefLayerFlag(m_layerId, pcSlice->getPPS()->getLayerId()) );
 #endif
-#if SVC_EXTENSION && Q0048_CGS_3D_ASYMLUT
+#if SVC_EXTENSION && CGS_3D_ASYMLUT
       m_pcEntropyCoder->encodePPS(pcSlice->getPPS(), &m_Enc3DAsymLUTPPS);
 #else
@@ -2335,5 +2335,5 @@
       m_bSeqFirst = false;
     }
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
     else if( m_pcCfg->getCGSFlag() && pcSlice->getLayerId() && pcSlice->getCGSOverWritePPS() )
     {
@@ -3743,5 +3743,5 @@
     printf("]");
   }
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   pcPic->setFrameBit( (Int)uibits );
   if( m_layerId && pcSlice->getPPS()->getCGSFlag() )
@@ -4825,5 +4825,5 @@
 #endif
 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
 Void TEncGOP::xDetermin3DAsymLUT( TComSlice * pSlice , TComPic * pCurPic , UInt refLayerIdc , TEncCfg * pCfg , Bool bSignalPPS )
 {
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.h	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncGOP.h	(revision 1212)
@@ -54,5 +54,5 @@
 #include "TEncSbac.h"
 #include "SEIwrite.h"
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
 #include "TEnc3DAsymLUT.h"
 #endif
@@ -154,5 +154,5 @@
   TEncTop**               m_ppcTEncTop;
   TEncSearch*             m_pcPredSearch;                       ///< encoder search class
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   TEnc3DAsymLUT           m_Enc3DAsymLUTPicUpdate;
   TEnc3DAsymLUT           m_Enc3DAsymLUTPPS;
@@ -286,5 +286,5 @@
   SEIOverlayInfo* xCreateSEIOverlayInfo();
 #endif
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   Void xDetermin3DAsymLUT( TComSlice * pSlice , TComPic * pCurPic , UInt refLayerIdc , TEncCfg * pCfg , Bool bSignalPPS );
   Void downScalePic( TComPicYuv* pcYuvSrc, TComPicYuv* pcYuvDest);
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncSbac.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 1212)
@@ -235,5 +235,5 @@
 
 Void TEncSbac::codePPS( TComPPS* pcPPS 
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   , TEnc3DAsymLUT * pc3DAsymLUT
 #endif
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncSbac.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncSbac.h	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncSbac.h	(revision 1212)
@@ -90,5 +90,5 @@
   Void  codeSPS                ( TComSPS* pcSPS     );
   Void  codePPS                ( TComPPS* pcPPS     
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
     , TEnc3DAsymLUT * pc3DAsymLUT
 #endif
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1211)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1212)
@@ -635,5 +635,5 @@
             || !zeroPhase
 #endif
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
             || m_cPPS.getCGSFlag() > 0
 #endif
@@ -680,5 +680,5 @@
             || !equalOffsets 
             || !zeroPhase
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
             || m_cPPS.getCGSFlag() > 0
 #endif
@@ -1041,5 +1041,5 @@
     m_cPPS.setPhaseVerChroma( m_refLocationOffsetLayerId[i], m_phaseVerChroma[i] );
   }
-#if Q0048_CGS_3D_ASYMLUT
+#if CGS_3D_ASYMLUT
   m_cPPS.setCGSFlag( m_nCGSFlag );
 #endif