Index: /branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- /branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1223)
+++ /branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1224)
@@ -1465,5 +1465,4 @@
 
   // Target output layer
-#if VPS_DPB_SIZE_TABLE
   vps->deriveNumberOfSubDpbs();
   vps->setOutputLayerFlag( 0, 0, 1 );
@@ -1525,35 +1524,34 @@
     }
   }
-#endif
-
-    vps->setMaxOneActiveRefLayerFlag(maxDirectRefLayers > 1 ? false : true);
-
-    // POC LSB not present flag
-    for( i = 1; i< vps->getMaxLayers(); i++ )
-    {
-      if( vps->getNumDirectRefLayers( vps->getLayerIdInNuh(i) ) == 0  )
-      {
-        // make independedent layers base-layer compliant
-        vps->setPocLsbNotPresentFlag(i, true); 
-      }
-    }
-
-    vps->setCrossLayerPictureTypeAlignFlag( m_crossLayerPictureTypeAlignFlag );
-    vps->setCrossLayerAlignedIdrOnlyFlag( m_crossLayerAlignedIdrOnlyFlag );
-    vps->setCrossLayerIrapAlignFlag( m_crossLayerIrapAlignFlag );
-    for(UInt layerCtr = 1;layerCtr <= vps->getMaxLayers() - 1; layerCtr++)
-    {
-      for(Int refLayerCtr = 0; refLayerCtr < layerCtr; refLayerCtr++)
-      {
-        if (vps->getDirectDependencyFlag( layerCtr, refLayerCtr))
+
+  vps->setMaxOneActiveRefLayerFlag(maxDirectRefLayers > 1 ? false : true);
+
+  // POC LSB not present flag
+  for( i = 1; i< vps->getMaxLayers(); i++ )
+  {
+    if( vps->getNumDirectRefLayers( vps->getLayerIdInNuh(i) ) == 0  )
+    {
+      // make independedent layers base-layer compliant
+      vps->setPocLsbNotPresentFlag(i, true); 
+    }
+  }
+
+  vps->setCrossLayerPictureTypeAlignFlag( m_crossLayerPictureTypeAlignFlag );
+  vps->setCrossLayerAlignedIdrOnlyFlag( m_crossLayerAlignedIdrOnlyFlag );
+  vps->setCrossLayerIrapAlignFlag( m_crossLayerIrapAlignFlag );
+  for(UInt layerCtr = 1;layerCtr <= vps->getMaxLayers() - 1; layerCtr++)
+  {
+    for(Int refLayerCtr = 0; refLayerCtr < layerCtr; refLayerCtr++)
+    {
+      if (vps->getDirectDependencyFlag( layerCtr, refLayerCtr))
+      {
+        if(m_acTEncTop[layerCtr].getIntraPeriod() !=  m_acTEncTop[refLayerCtr].getIntraPeriod())
         {
-          if(m_acTEncTop[layerCtr].getIntraPeriod() !=  m_acTEncTop[refLayerCtr].getIntraPeriod())
-          {
-            vps->setCrossLayerIrapAlignFlag(false);
-            break;
-          }
+          vps->setCrossLayerIrapAlignFlag(false);
+          break;
         }
       }
     }
+  }
   vps->setSingleLayerForNonIrapFlag(m_adaptiveResolutionChange > 0 ? true : false);
   vps->setHigherLayerIrapSkipFlag(m_skipPictureAtArcSwitch);
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1223)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1224)
@@ -2012,5 +2012,4 @@
   }
 
-#if VPS_DPB_SIZE_TABLE
   ::memset( m_subLayerFlagInfoPresentFlag,  0, sizeof(m_subLayerFlagInfoPresentFlag ) );
   ::memset( m_subLayerDpbInfoPresentFlag,   0, sizeof(m_subLayerDpbInfoPresentFlag )  );
@@ -2019,5 +2018,4 @@
   ::memset( m_maxVpsLatencyIncreasePlus1,   0, sizeof(m_maxVpsLatencyIncreasePlus1 )  );
   ::memset( m_numSubDpbs                ,   0, sizeof(m_numSubDpbs)                   );
-#endif
   ::memset( m_baseLayerPSCompatibilityFlag, 0, sizeof(m_baseLayerPSCompatibilityFlag) );
 }
@@ -3068,5 +3066,4 @@
 }
 
-#if VPS_DPB_SIZE_TABLE
 Void TComVPS::deriveNumberOfSubDpbs()
 {
@@ -3080,5 +3077,4 @@
   }
 }
-#endif
 
 Void TComVPS::setTilesNotInUseFlag(Bool x)
@@ -3247,5 +3243,4 @@
 }
 
-#if VPS_DPB_SIZE_TABLE
 Int TComVPS::getLayerIdcForOls( Int olsIdx, Int layerId )
 {
@@ -3313,5 +3308,4 @@
   }
 }
-#endif
 
 #if O0164_MULTI_LAYER_HRD
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1223)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1224)
@@ -702,5 +702,4 @@
 
   Int        m_TolsIdx;
-#if VPS_DPB_SIZE_TABLE
   Bool       m_subLayerFlagInfoPresentFlag [MAX_VPS_OP_LAYER_SETS_PLUS1];
   Bool       m_subLayerDpbInfoPresentFlag  [MAX_VPS_OP_LAYER_SETS_PLUS1][MAX_LAYERS];
@@ -709,5 +708,4 @@
   Int        m_maxVpsLatencyIncreasePlus1  [MAX_VPS_OP_LAYER_SETS_PLUS1][MAX_LAYERS];
   Int        m_numSubDpbs                  [MAX_VPS_LAYER_SETS_PLUS1 + 2*MAX_NUM_ADD_LAYER_SETS];
-#endif
 
   Bool       m_vpsVuiPresentFlag;
@@ -818,7 +816,5 @@
 
   Void    deriveLayerIdListVariables();
-#if VPS_DPB_SIZE_TABLE
-Void      deriveNumberOfSubDpbs();
-#endif
+  Void    deriveNumberOfSubDpbs();
 
   Void    setRefLayersFlags(Int currLayerId);
@@ -1078,5 +1074,4 @@
   Int    scalTypeToScalIdx( ScalabilityType scalType );
 
-#if VPS_DPB_SIZE_TABLE
   Bool   getSubLayerFlagInfoPresentFlag(Int olsIdx)         { return m_subLayerFlagInfoPresentFlag[olsIdx]; }
   Void   setSubLayerFlagInfoPresentFlag(Int olsIdx, Bool x) { m_subLayerFlagInfoPresentFlag[olsIdx] = x;    }
@@ -1099,5 +1094,4 @@
   Void   setNumSubDpbs(Int olsIdx, Int x)                   { m_numSubDpbs[olsIdx] = x;    }
   Void   determineSubDpbInfoFlags();
-#endif
 
   Bool   getVpsVuiPresentFlag()                        { return m_vpsVuiPresentFlag; }
Index: /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1223)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1224)
@@ -64,5 +64,4 @@
 #define AUXILIARY_PICTURES               1      ///< JCTVC-O0041: auxiliary picture layers
 #define R0062_AUX_PSEUDO_MONOCHROME      1      ///> JCVVC-R0063: pseudo monochrome for auxiliary pictures
-#define VPS_DPB_SIZE_TABLE               1      ///< JCTVC-O0217: DPB operations: signaling DPB-related parameters
 #define NO_CLRAS_OUTPUT_FLAG             1
 #define P0138_USE_ALT_CPB_PARAMS_FLAG    1      ///< JCTVC-P0138: use_alt_cpb_params_flag syntax in buffering period SEI message extension
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1223)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1224)
@@ -3002,7 +3002,5 @@
   }
 
-#if VPS_DPB_SIZE_TABLE
   parseVpsDpbSizeTable(vps);
-#endif
 
   READ_UVLC( uiCode,           "direct_dep_type_len_minus2"); vps->setDirectDepTypeLen(uiCode+2);
@@ -3215,5 +3213,4 @@
 }
 
-#if VPS_DPB_SIZE_TABLE
 Void TDecCavlc::parseVpsDpbSizeTable( TComVPS *vps )
 {
@@ -3287,5 +3284,4 @@
   }
 }
-#endif
 
 Void TDecCavlc::parseVPSVUI(TComVPS *vps)
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 1223)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 1224)
@@ -133,7 +133,5 @@
   Void  defaultVPSVUI       ( TComVPS* pcVPS );
   Void  parseRepFormat      ( RepFormat *repFormat, RepFormat *repFormatPrev );
-#if VPS_DPB_SIZE_TABLE
   Void  parseVpsDpbSizeTable( TComVPS *vps );
-#endif
   Void  parseVpsVuiBspHrdParams( TComVPS *vps );
   Void  parseSPSExtension    ( TComSPS* pcSPS );
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1223)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1224)
@@ -2172,7 +2172,5 @@
   }
  
-#if VPS_DPB_SIZE_TABLE
   codeVpsDpbSizeTable(vps);
-#endif
 
   WRITE_UVLC( vps->getDirectDepTypeLen()-2,                           "direct_dep_type_len_minus2");
@@ -2255,5 +2253,4 @@
 }
 
-#if VPS_DPB_SIZE_TABLE
 Void TEncCavlc::codeVpsDpbSizeTable(TComVPS *vps)
 {
@@ -2288,5 +2285,4 @@
   }
 }
-#endif
 
 Void TEncCavlc::codeVPSVUI (TComVPS *vps)
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.h	(revision 1223)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.h	(revision 1224)
@@ -154,13 +154,11 @@
 
 #if SVC_EXTENSION
-  Void  codeSliceHeaderExtn( TComSlice* slice, Int shBitsWrittenTillNow );
-  Void codeSPSExtension        ( TComSPS* pcSPS );
-  Void codeVPSExtension        ( TComVPS* pcVPS );
-  Void codeVPSVUI              ( TComVPS *vps   );
-  Void  codeRepFormat          ( RepFormat *repFormat );
-#if VPS_DPB_SIZE_TABLE
-  Void  codeVpsDpbSizeTable    (TComVPS *vps);
-#endif
-  Void  codeVpsVuiBspHrdParams  (TComVPS * const);
+  Void  codeSliceHeaderExtn  ( TComSlice* slice, Int shBitsWrittenTillNow );
+  Void codeSPSExtension      ( TComSPS* pcSPS );
+  Void codeVPSExtension      ( TComVPS* pcVPS );
+  Void codeVPSVUI            ( TComVPS *vps   );
+  Void codeRepFormat         ( RepFormat *repFormat );
+  Void codeVpsDpbSizeTable   ( TComVPS *vps );
+  Void codeVpsVuiBspHrdParams( TComVPS * const );
 
 #if CGS_3D_ASYMLUT